hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Douglas (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HDFS-481) hadoop-version is not recognized if run ant command from src/contrib/ or from src/contrib/hdfsproxy
Date Tue, 14 Jul 2009 23:05:14 GMT

    [ https://issues.apache.org/jira/browse/HDFS-481?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12731188#action_12731188
] 

Chris Douglas commented on HDFS-481:
------------------------------------

Won't this override the hadoop-version property defined by the main build script? Compilation
will break when the core jar is updated. This is a problem for all the contrib modules and
I'd rather avoid ad-hoc fixes...

> hadoop-version is not recognized if run ant command from src/contrib/ or from src/contrib/hdfsproxy
 
> -----------------------------------------------------------------------------------------------------
>
>                 Key: HDFS-481
>                 URL: https://issues.apache.org/jira/browse/HDFS-481
>             Project: Hadoop HDFS
>          Issue Type: Bug
>          Components: contrib/hdfsproxy
>    Affects Versions: 0.21.0
>            Reporter: zhiyong zhang
>            Assignee: zhiyong zhang
>         Attachments: HDFS-481.patch
>
>
> If running ant command from $HADOOP_HDFS_HOME, hadoop-version will be passed to contrib's
build through subant. But if running from src/contrib or src/contrib/hdfsproxy, the hadoop-version
will not be recognized. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message